from PIL import Image
import math

def brighten(image):
  width, height = image.size
  new_image  = Image.new("RGB", (width, height), "white")

	# 이미지의 왼쪽 절반 처리
  for i in range(0, math.floor(width/2)):
    for j in range(height):
      pixel = image.getpixel((i, j))

      # 픽셀의 R, G, B 값을 얻는다. (0에서 255 사이의 값)
      red =   pixel[0]
      green = pixel[1]
      blue =  pixel[2]

      # 새로운 이미지에 저장한다. 
      new_image.putpixel((i, j), (red+100, green+100, blue+100))

	# 이미지의 오른쪽 절반 처리
  for i in range(math.floor(width/2), width):
    for j in range(height):
      pixel = image.getpixel((i, j))

      # 픽셀의 R, G, B 값을 얻는다. (0에서 255 사이의 값)
      red =   pixel[0]
      green = pixel[1]
      blue =  pixel[2]

      # 새로운 이미지에 저장한다. 
      new_image.putpixel((i, j), (red+100, green+100, blue+100))
  return new_image

original = Image.open('./lenna.png')
output = brighten(original)
output.show()
